Calling Developers!
We are reenergizing our code contribution process! Learn More

I'm getting an security exception after upgrade B2b to 202311 release

Options
M.abdallah
M.abdallah Senior backend developer Posts: 12 🧑🏻‍🚀 - Cadet
edited March 14 in Spryker Releases

After upgrading Spryker I'm getting an error related to Security plugins inside

SecurityDependencyProvider::getSecurityPlugins

Spryker\Shared\Security\Exception\FirewallNotFoundException - You tried to merge a firewall "secured" which is not configured.

it comes from YvesAgentPageSecurityPlugin

Tagged:

Answers

  • M.abdallah
    M.abdallah Senior backend developer Posts: 12 🧑🏻‍🚀 - Cadet
    Options

    Also I'm getting this error
    Spryker\Shared\Security\Exception\AuthenticationEntryNotRegisteredException - Authentication entry `anonymous` is not registered.
    "spryker-feature/agent-assist": "202311.0",

    "spryker-shop/agent-page": "^1.14.1",